API DocumentationLoad Balancers
Load balancer action
Perform an action on the load balancer. Set the type attribute
to one of the supported action types:
| Action | Details |
|---|---|
start | Start a load balancer that isn't running |
shutdown | Attempt to gracefully shut down a running load balancer. Requires timeout. May return 408 on timeout. |
power_off | Force stop a running load balancer immediately (may cause data loss). |
reboot | Send a reboot signal to the load balancer. |
reset | Hard-reset the load balancer (may cause data loss). |
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
lb_id*string
A unique identifier for a load balancer instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Power/lifecycle action to perform on the load balancer VM.
Response Body
application/json
application/json
text/pain
application/json
application/json
application/json
curl -X POST "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/actions" \ -H "Content-Type: application/json" \ -d '{ "type": "start" }'null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "VM with ID 23 not found" } ]}{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}